Subject: Re: bug#56332: 29.0.50; Large gnus imap groups; articles incorrectly marked as read (old)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Jul 2022 11:50:31 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Hm...  reading `nnimap-transform-headers', it kinda seems like it might
> be working (mostly) by accident in the multiple-FETCH situation.  I'll
> try to reproduce this here and see what I can find out.

No, it seems like it should handle this fine.

Can you do a `M-x debug-on-entry RET nnimap-split-incoming-mail RET' and
then look in the " *nnimap ...*" (note leading space) buffer and see
whether the headers for the articles are there or whether anything looks
obviously messed-up?

I've now introduced a new nnimap--max-retrieve-headers variable that can
be used to debug this easier -- set it to a very high number to get the
old behaviour, and compare the contents of that buffer with a lower
value.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no